function [] = plotToaHistogram()
%PLOTTOAHISTOGRAM Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaGui;

if isfield(artoaGui.editTimeOfArrival, 'axesToaHistogram') ...
        && isvalid(artoaGui.editTimeOfArrival.axesToaHistogram)
    delete(artoaGui.editTimeOfArrival.axesToaHistogram);
end

artoaGui.editTimeOfArrival.axesToaHistogram = axes(artoaGui.editTimeOfArrival.frameToaHistogram);

artoaGui.editTimeOfArrival.plotToaHistogram = histogram( ...
    artoaGui.editTimeOfArrival.axesToaHistogram, ...
    artoaWorkspace.toaData.correlationHeight ...
);

xlabel(artoaGui.editTimeOfArrival.axesToaHistogram, 'Correlation height');
ylabel(artoaGui.editTimeOfArrival.axesToaHistogram, 'Count');

artoaGui.figures.editTimeOfArrival.CurrentAxes = artoaGui.editTimeOfArrival.axesScatterTimeOfArrival;

end

