function [scatterHandle, textHandles] = scatterPositions(pAxesHandle, pSoundsources)
%PLOT Summary of this function goes here
%   Detailed explanation goes here

%% Collect required data

fnames = fieldnames(pSoundsources);
plot_names = fnames;

lat = NaN(length(fnames), 1);
lon = NaN(length(fnames), 1);

for i = 1:length(fnames)
    lat(i) = pSoundsources.(fnames{i}).position(1);
    lon(i) = pSoundsources.(fnames{i}).position(2);
    plot_names{i} = {'', ['  ' plot_names{i}]};
end

%% Plot positions

hold(pAxesHandle, 'on');
scatterHandle = scatter(pAxesHandle, lon, lat);
textHandles = text(lon, lat, plot_names);
hold(pAxesHandle, 'off');

end

